$timp_i:0.7s;
$delay: 0.35s;

nav{
    --inaltime-meniu: 2.5rem;
    --top:3.7px;
    --timp_i: #{$timp_i};
    --delay: #{$delay};
}

#hamburger{
    display: block;
}

#hamburger-bars{
    display: block;
    list-style-type: none;
    
    >span{
        position: relative;
        display: block;
        align-items: center;
        top:var(--top);
        left:2px;
        width: 2.5rem;
        height: 0.3rem;
        background-color: var(--culoare-linii-hamburger);
        border-radius: 5px;
        margin-top: 0.3rem;
        animation: spinBars ease forwards;
    }

    @for $a from 1 through 3 {
        span:nth-child(#{$a}) {
            animation-duration: calc(var(--timp_i) + var(--delay) * (#{$a} - 1));
        }
    }
}
@keyframes spinBars{
    0%{
      top: 0.8rem;
      transform: translate(500%, -50%) rotate(0deg);
      opacity: 0;
    }
    35%{
      top: 0.8rem;
      transform: translateY(-50%) rotate(1080deg);
      opacity: 100%;
      background-color: grey;
    }
    70%{
      top: 0.8rem;
      transform: translateY(-50%) rotate(1080deg);
      opacity: 100%;
      background-color: #eec290;
    }
    100%{
      transform: translate(0%, 0%) rotate(1080deg);
      opacity: 100%;
      background-color: var(--culoare-linii-hamburger);
    }
  }


/*implicit meniul e ascuns*/
ul.meniu{
    display: none;
    position: absolute;
    width: 100%;
}

.meniu li:hover{
    background-color: var(--culoare-linii-hamburger);

    >a, >div{
        color: unset;
    }
    
}

#ch-menu:checked+ul.meniu{
    /*facem vizibil meniul cand facem click pe hamburger menu*/
    position: relative;
    top:var(--top);
    background-color: var(--culoare-fundal-sublista);
    display: block;
    z-index: 2;
    transform-origin: 0 0;
    animation-name: aparitie_meniu_p;
    animation-iteration-count: 1;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: linear;
    animation-duration: 1s;

    >li>div, >li>a{
        height: var(--inaltime-meniu);
        line-height: var(--inaltime-meniu);
        z-index: 2;
        animation-name: aparitie_meniu_p_btn;
        animation-iteration-count: 1;
        animation-duration: 1s;
        animation-fill-mode: forwards;
        animation-timing-function: linear;
    }

    >li ul>*{
        position: relative;
        z-index: 100;
    }
}


nav ul.meniu {
    li{
        width: 100%; /*optiunile se intind pe toata latimea containerului*/
    }
    
    
    >li ul{
        /*meniul sa vina deasupra continutului de mai jos, fara sa impinga continutul*/
        position: absolute;
        width: 100%;
        z-index: 2;
        transform: scale(1,1);
    }

    >li:hover>ul{
        z-index: 200;       /*o valoare pozitiva, pentru a veni in fata, peste celelalte elemente din pagina*/
        animation:none;
        opacity: 1;
        transform: scale(1,1);
    }
}

.bara-meniu::before{
    display: none;
}

@keyframes aparitie_meniu_p{
    0%{
        opacity: 0;
        /* transform: scale(0,0); */
        clip-path: circle(0% at 0 0);
    }
    100%{
        opacity: 1;
        /* transform: scale(1,1); */
        clip-path: circle(100%);
    }
}
@keyframes aparitie_meniu_p_btn{
    0%{
        transform:scale(0,0);
    }
    100%{
        transform:scale(1,1);
    }
}